## org.apache.lucene.queryparser.xml.builders
Class FilteredQueryBuilder

    java.lang.Object
      org.apache.lucene.queryparser.xml.builders.FilteredQueryBuilder

All Implemented Interfaces:
  QueryBuilder

    public class FilteredQueryBuilder

extends Object
implements QueryBuilder

Builder for `FilteredQuery`

Constructor Summary
`FilteredQueryBuilder(FilterBuilder filterFactory, QueryBuilder queryFactory)`

Method Summary
`Query` `getQuery(Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilteredQueryBuilder

    public FilteredQueryBuilder(FilterBuilder filterFactory,
                                QueryBuilder queryFactory)

Method Detail

### getQuery

    public Query getQuery(Element e)
                   throws ParserException

  Specified by:
    `getQuery` in interface `QueryBuilder`
  Throws:
    `ParserException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.